Bug 134848 - CAN-2004-0803 buffer overflows in libtiff
CAN-2004-0803 buffer overflows in libtiff
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-06 14:47 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 10:21:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-06 14:47:00 EDT
Chris Evans reported to vendor-sec multiple buffer overflows in
libtiff.  These issues could potentially lead to arbitrary code
execution from a malicious tiff image.

This issue also affects RHEL2.1

This issue has been embargoed until Oct 13.
Comment 1 Matthias Clasen 2004-10-13 11:31:52 EDT
fixed in 3.5.7-16.1
Comment 2 Josh Bressers 2004-10-13 16:16:31 EDT
removing embargo
Comment 3 Sven Neuhaus 2004-10-14 08:07:21 EDT
Did you happen to add LZW support while you were at it (bug 128212)?

Note You need to log in before you can comment on or make changes to this bug.